eurephiadm lastlog(7)

NAME
eurephiadm-lastlog - View the eurephia lastlog

SYNOPSIS
eurephiadm lastlog [\-v|\-\-verbose] [\-S|\-\-sortkeys <sort keys>] [<FILTER arguments>]

DESCRIPTION
This command will query the lastlog records, which contains information about all logins done with the eurephia-auth plug-in.

OPTIONS

-S | --sortkeys <sort key>[,<sort key>[,<sort key>]...]
    Sorting order of the report. More sort keys can be given, separated by comma. The available sort keys are:

    uid : User ID

    certid : Certificate ID

    ip : IP address where the client connects from

    vpnip : Assigned IP address on the VPN client

    status : eurephia connection status

    login : When the client logged in

    logout : When the client logged out

    username : eurephia username

    macaddr : MAC address of the TUN/TAP interface on the VPN client

    uicid : User ID/Certificate ID link ID. Related to the IDs provided by eurephiadm usercerts

-v | --verbose
    View detailed lastlog

FILTERS
The filters can help reducing the amount of data being reported. Multiple filters may be added, but they will only work as additional "AND" arguments in the query.

-c | --certid <Certificate ID>
    Certificate ID

-i | --uid <User ID>
    Numeric user ID

-u | --username <User name>
    User name

-I | --ip-addr <IP address>
    IP address of remote host

-s | --login <YYYY-MM-DD>
    Login time

-e | --logout <YYYY-MM-DD>
    Logout time

-m | --mac-addr <TUN/TAP MAC address>
    MAC address of remote VPN interface of the client

-a | --uicid <Access ID>
    User ID/Certificate ID link ID. Related to the IDs provided by eurephiadm usercerts

SEE ALSO
eurephiadm(7), eurephiadm-certs(7), eurephiadm-users(7), eurephiadm-usercerts(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>